View Issue Details

IDProjectCategoryView StatusLast Update
0000900XdebugUsage problems (Wrong Results)public2015-04-06 21:35
ReporterGregMartynAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionnot fixable 
PlatformLinuxOSFedoraOS Version17
Product Version2.2.1 
Target VersionFixed in Version 
Summary0000900: Logs filled with spurious warnings
DescriptionSee attached test.php

I set a breakpoint on line 9
I get the warning: Warning: main(): Couldn't fetch mysqli_result in /var/www/Eclipse/theshadestore.com/public/htdocs/test.php on line 9

Stepping through the code functions correctly. The problem is all the warnings that I get.

Xdebug v2.3.0dev
PHP 5.4.7
Steps To Reproducesee description
Additional Informationwill attach remote_log
TagsNo tags attached.
Operating System
PHP Version5.4.4

Activities

GregMartyn

2012-11-06 22:09

reporter  

test.php (316 bytes)

GregMartyn

2012-11-06 22:10

reporter  

xdebug_remote_log (36,395 bytes)
Log opened at 2012-11-06 22:01:29
I: Connecting to configured address/port: localhost:9000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///var/www/Eclipse/theshadestore.com/public/htdocs/test.php" language="PHP" protocol_version="1.0" appid="14950"><engine version="2.3.0dev"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2012 by Derick Rethans]]></copyright></init>

<- feature_set -i 50725 -n show_hidden -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="50725" feature="show_hidden" success="1"></response>

<- feature_set -i 50726 -n max_depth -v 4
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="50726" feature="max_depth" success="1"></response>

<- feature_set -i 50727 -n max_children -v 100
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="50727" feature="max_children" success="1"></response>

<- feature_get -i 50728 -n encoding
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_get" transaction_id="50728" feature_name="encoding" supported="1"><![CDATA[iso-8859-1]]></response>

<- feature_get -i 50729 -n supports_async
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_get" transaction_id="50729" feature_name="supports_async" supported="1"><![CDATA[0]]></response>

<- stdout -i 50730 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stdout" transaction_id="50730" success="1"></response>

<- stderr -i 50731 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stderr" transaction_id="50731" success="0"></response>

<- breakpoint_set -i 50732 -t line -f file:///var/www/Eclipse/vendors.theshadestore.com/system/application/models/order_model.php -n 1154
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50732" id="149500001"></response>

<- breakpoint_set -i 50733 -t line -f file:///var/www/Eclipse/vendors.theshadestore.com/system/application/libraries/WorkroomOrder.php -n 670
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50733" id="149500002"></response>

<- breakpoint_set -i 50734 -t line -f file:///var/www/Eclipse/vendors.theshadestore.com/system/application/controllers/OrderDisplay.php -n 12
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50734" id="149500003"></response>

<- breakpoint_set -i 50735 -t line -f file:///var/www/Eclipse/vendors.theshadestore.com/system/application/controllers/OpenWorkTicketList.php -n 13
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50735" id="149500004"></response>

<- breakpoint_set -i 50736 -t line -f file:///var/www/Eclipse/vendors.theshadestore.com/system/application/controllers/OpenWorkTicketList.php -n 25
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50736" id="149500005"></response>

<- breakpoint_set -i 50737 -t line -f file:///var/www/Eclipse/vendors.theshadestore.com/system/application/controllers/OpenOrderListController.php -n 369
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50737" id="149500006"></response>

<- breakpoint_set -i 50738 -t line -f file:///var/www/Eclipse/api.theshadestore.com/plugins/room-and-board/RoomAndBoard_OrderStatus_Plugin.php -n 169
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50738" id="149500007"></response>

<- breakpoint_set -i 50739 -t line -f file:///var/www/Eclipse/api.theshadestore.com/include/reflexions_framework/site/rErrorBacktrace.php -n 205
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50739" id="149500008"></response>

<- breakpoint_set -i 50740 -t line -f file:///var/www/Eclipse/api.theshadestore.com/include/reflexions_framework/site/rErrorBacktrace.php -n 138
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50740" id="149500009"></response>

<- breakpoint_set -i 50741 -t line -f file:///var/www/Eclipse/api.theshadestore.com/include/APIEmail.php -n 266
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50741" id="149500010"></response>

<- breakpoint_set -i 50742 -t line -f file:///var/www/Eclipse/theshadestore.com/public/plugins/SeparateSessionPlugin.php -n 194
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50742" id="149500011"></response>

<- breakpoint_set -i 50743 -t line -f file:///var/www/Eclipse/theshadestore.com/public/plugins/SampleDepartmentPlugin.php -n 167
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50743" id="149500012"></response>

<- breakpoint_set -i 50744 -t line -f file:///var/www/Eclipse/theshadestore.com/public/plugins/ProductPlugin.php -n 101
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50744" id="149500013"></response>

<- breakpoint_set -i 50745 -t line -f file:///var/www/Eclipse/theshadestore.com/public/plugins/ProductPlugin.php -n 104
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50745" id="149500014"></response>

<- breakpoint_set -i 50746 -t line -f file:///var/www/Eclipse/theshadestore.com/public/plugins/MeasureInstallPlugin.php -n 515
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50746" id="149500015"></response>

<- breakpoint_set -i 50747 -t line -f file:///var/www/Eclipse/theshadestore.com/public/plugins/MeasureInstallPlugin.php -n 515
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50747" id="149500016"></response>

<- breakpoint_set -i 50748 -t line -f file:///var/www/Eclipse/theshadestore.com/public/plugins/ConfigurePlugin.php -n 341
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50748" id="149500017"></response>

<- breakpoint_set -i 50749 -t line -f file:///var/www/Eclipse/theshadestore.com/public/plugins/Cart2Plugin.php -n 261
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50749" id="149500018"></response>

<- breakpoint_set -i 50750 -t line -f file:///var/www/Eclipse/theshadestore.com/public/plugins/AccountPlugin.php -n 387
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50750" id="149500019"></response>

<- breakpoint_set -i 50751 -t line -f file:///var/www/Eclipse/theshadestore.com/public/plugins/AccountPlugin.php -n 402
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50751" id="149500020"></response>

<- breakpoint_set -i 50752 -t line -f file:///var/www/Eclipse/theshadestore.com/original_admin/procuro-config/mod/email/class.phpmailer.php -n 464
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50752" id="149500021"></response>

<- breakpoint_set -i 50753 -t line -f file:///var/www/Eclipse/theshadestore.com/original_admin/procuro-config/mod/email/EmailMonster.php -n 1921
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50753" id="149500022"></response>

<- breakpoint_set -i 50754 -t line -f file:///var/www/Eclipse/theshadestore.com/original_admin/procuro-config/mod/PerformanceProgramPlugin.php -n 87
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50754" id="149500023"></response>

<- breakpoint_set -i 50755 -t line -f file:///var/www/Eclipse/theshadestore.com/original_admin/procuro-config/mod/LaunchPadPlugin.php -n 280
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50755" id="149500024"></response>

<- breakpoint_set -i 50756 -t line -f file:///var/www/Eclipse/theshadestore.com/original_admin/procuro-config/mod/LaunchPadPlugin.php -n 243
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50756" id="149500025"></response>

<- breakpoint_set -i 50757 -t line -f file:///var/www/Eclipse/theshadestore.com/original_admin/mod/theshadestore/core/TSSEmailHistory.php -n 399
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50757" id="149500026"></response>

<- breakpoint_set -i 50758 -t line -f file:///var/www/Eclipse/theshadestore.com/original_admin/mod/theshadestore/core/TSSAppointment.php -n 542
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50758" id="149500027"></response>

<- breakpoint_set -i 50759 -t line -f file:///var/www/Eclipse/theshadestore.com/original_admin/mod/theshadestore/core/TSSAdminNotificationSystem.php -n 48
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50759" id="149500028"></response>

<- breakpoint_set -i 50760 -t line -f file:///var/www/Eclipse/theshadestore.com/original_admin/mod/siteshell/SiteShell.php -n 41
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50760" id="149500029"></response>

<- breakpoint_set -i 50761 -t line -f file:///var/www/Eclipse/theshadestore.com/model/TSSEmailHistory.php -n 372
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50761" id="149500030"></response>

<- breakpoint_set -i 50762 -t line -f file:///var/www/Eclipse/theshadestore.com/model/TSSEmailHistory.php -n 285
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50762" id="149500031"></response>

<- breakpoint_set -i 50763 -t line -f file:///var/www/Eclipse/theshadestore.com/include/reflexions_framework/util/R_S3.php -n 93
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50763" id="149500032"></response>

<- breakpoint_set -i 50764 -t line -f file:///var/www/Eclipse/theshadestore.com/include/reflexions_framework/admin/datatypes/ForeignMultipleSelectField.php -n 202
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50764" id="149500033"></response>

<- breakpoint_set -i 50765 -t line -f file:///var/www/Eclipse/theshadestore.com/include/reflexions_framework/admin/datatypes/ForeignMultipleSelectField.php -n 110
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50765" id="149500034"></response>

<- breakpoint_set -i 50766 -t line -f file:///var/www/Eclipse/theshadestore.com/include/TSSImapEmailSystem.php -n 152
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50766" id="149500035"></response>

<- breakpoint_set -i 50767 -t line -f file:///var/www/Eclipse/theshadestore.com/include/ShadeStoreShippingEngine.php -n 173
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50767" id="149500036"></response>

<- breakpoint_set -i 50768 -t line -f file:///var/www/Eclipse/theshadestore.com/include/MaterialColorListBuilder.php -n 820
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50768" id="149500037"></response>

<- breakpoint_set -i 50769 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/resto_ship_confirm_sftp.php -n 65
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50769" id="149500038"></response>

<- breakpoint_set -i 50770 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/resto_ftp_do_http.php -n 124
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50770" id="149500039"></response>

<- breakpoint_set -i 50771 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/rb_invoice_file_sftp.php -n 108
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50771" id="149500040"></response>

<- breakpoint_set -i 50772 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/rb_invoice_file_sftp.php -n 60
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50772" id="149500041"></response>

<- breakpoint_set -i 50773 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/employee_email_check.php -n 4
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50773" id="149500042"></response>

<- breakpoint_set -i 50774 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/employee_email_check.php -n 86
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50774" id="149500043"></response>

<- breakpoint_set -i 50775 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/employee_email_check.php -n 81
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50775" id="149500044"></response>

<- breakpoint_set -i 50776 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/calculate_anderson_material_requirements.php -n 11
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50776" id="149500045"></response>

<- breakpoint_set -i 50777 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/calculate_anderson_material_requirements.php -n 84
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50777" id="149500046"></response>

<- breakpoint_set -i 50778 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/calculate_anderson_material_requirements.php -n 45
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50778" id="149500047"></response>

<- breakpoint_set -i 50779 -t line -f file:///var/www/Eclipse/theshadestore.com/admin/plugins/components/C_WorkTicketOverviewPlugin.php -n 288
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50779" id="149500048"></response>

<- breakpoint_set -i 50780 -t line -f file:///var/www/Eclipse/theshadestore.com/admin/plugins/CustomOrderReport.php -n 182
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50780" id="149500049"></response>

<- breakpoint_set -i 50781 -t line -f file:///var/www/Eclipse/theshadestore.com/admin/plugins/CustomOrderReport.php -n 159
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50781" id="149500050"></response>

<- breakpoint_set -i 50782 -t line -f file:///var/www/Eclipse/theshadestore.com/admin/plugins/AdminSamplePlugin.php -n 112
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50782" id="149500051"></response>

<- breakpoint_set -i 50783 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/order_tracking_emails.php -n 224
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50783" id="149500052"></response>

<- breakpoint_set -i 50784 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/order_tracking_emails.php -n 180
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50784" id="149500053"></response>

<- breakpoint_set -i 50785 -t line -f file:///var/www/Eclipse/api.theshadestore.com/plugins/invoicing/Invoicing_Plugin.php -n 338
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50785" id="149500054"></response>

<- breakpoint_set -i 50786 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/confirmation_email_send.php -n 147
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50786" id="149500055"></response>

<- breakpoint_set -i 50787 -t line -f file:///var/www/Eclipse/theshadestore.com/cron/confirmation_email_send.php -n 134
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50787" id="149500056"></response>

<- breakpoint_set -i 50788 -t line -f file:///var/www/Eclipse/api.theshadestore.com/plugins/invoicing/Invoicing_Plugin.php -n 48
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50788" id="149500057"></response>

<- breakpoint_set -i 50789 -t line -f file:///var/www/Eclipse/theshadestore.com/public/htdocs/test.php -n 9
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="50789" id="149500058"></response>

<- run -i 50790
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="50790" status="break" reason="ok"><xdebug:message filename="file:///var/www/Eclipse/theshadestore.com/public/htdocs/test.php" lineno="9"></xdebug:message></response>

<- stack_get -i 50791
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="50791"><stack where="{main}" level="0" type="file" filename="file:///var/www/Eclipse/theshadestore.com/public/htdocs/test.php" lineno="9"></stack></response>

<- stack_get -i 50792
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="50792"><stack where="{main}" level="0" type="file" filename="file:///var/www/Eclipse/theshadestore.com/public/htdocs/test.php" lineno="9"></stack></response>

<- context_get -i 50793 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="50793" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="140391456423848" type="array" children="1" numchildren="3" page="0" pagesize="100"><property name="tssadmin" fullname="$_COOKIE[&#39;tssadmin&#39;]" address="140391456424760" type="string" size="57" encoding="base64"><![CDATA[QXpGMnN4N2UyMnhHUWdNUFNSMW04QWpkSGNJdVNMdnNrYXZNLjEzNTE1NDgyMzguMTI3LjAuMC4x]]></property><property name="PHPSESSID" fullname="$_COOKIE[&#39;PHPSESSID&#39;]" address="140391456425264" type="string" size="22" encoding="base64"><![CDATA[eFVwRUlKUGk2YmFTQXYsZk9XdktEMg==]]></property><property name="csrf_token" fullname="$_COOKIE[&#39;csrf_token&#39;]" address="140391456425736" type="string" size="32" encoding="base64"><![CDATA[ZmMwYTljYzY2ZGQ2NDZiYWM0NTdhZDlkYTRmNzBjZmE=]]></property></property><property name="$_ENV" fullname="$_ENV" address="140391456426200" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" address="140391456425976" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" address="140391456422872" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" address="140391456423624" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" address="140391456426424" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" address="140391456426648" type="array" children="1" numchildren="31" page="0" pagesize="100"><property name="SCRIPT_URL" fullname="$_SERVER[&#39;SCRIPT_URL&#39;]" address="140391456427136" type="string" size="9" encoding="base64"><![CDATA[L3Rlc3QucGhw]]></property><property name="SCRIPT_URI" fullname="$_SERVER[&#39;SCRIPT_URI&#39;]" address="140391456427648" type="string" size="40" encoding="base64"><![CDATA[aHR0cDovL3Rzcy5sb2NhbC5yZWZsZXhpb25zLm5ldC90ZXN0LnBocA==]]></property><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="140391456428048" type="string" size="24" encoding="base64"><![CDATA[dHNzLmxvY2FsLnJlZmxleGlvbnMubmV0]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="140391456428416" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_CACHE_CONTROL" fullname="$_SERVER[&#39;HTTP_CACHE_CONTROL&#39;]" address="140391456428792" type="string" size="9" encoding="base64"><![CDATA[bWF4LWFnZT0w]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="140391456429344" type="string" size="102" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFgxMTsgTGludXggeDg2XzY0KSBBcHBsZVdlYktpdC81MzcuNCAoS0hUTUwsIGxpa2UgR2Vja28pIENocm9tZS8yMi4wLjEyMjkuOTQgU2FmYXJpLzUzNy40]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="140391456429808" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="140391456430160" type="string" size="17" encoding="base64"><![CDATA[Z3ppcCxkZWZsYXRlLHNkY2g=]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="140391456430688" type="string" size="14" encoding="base64"><![CDATA[ZW4tVVMsZW47cT0wLjg=]]></property><property name="HTTP_ACCEPT_CHARSET" fullname="$_SERVER[&#39;HTTP_ACCEPT_CHARSET&#39;]" address="140391456431248" type="string" size="30" encoding="base64"><![CDATA[SVNPLTg4NTktMSx1dGYtODtxPTAuNywqO3E9MC4z]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&#39;HTTP_COOKIE&#39;]" address="140391456431728" type="string" size="147" encoding="base64"><![CDATA[dHNzYWRtaW49QXpGMnN4N2UyMnhHUWdNUFNSMW04QWpkSGNJdVNMdnNrYXZNLjEzNTE1NDgyMzguMTI3LjAuMC4xOyBQSFBTRVNTSUQ9eFVwRUlKUGk2YmFTQXYlMkNmT1d2S0QyOyBjc3JmX3Rva2VuPWZjMGE5Y2M2NmRkNjQ2YmFjNDU3YWQ5ZGE0ZjcwY2Zh]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="140391456432168" type="string" size="49" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbg==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="140391456432680" type="string" size="85" encoding="base64"><![CDATA[PGFkZHJlc3M+QXBhY2hlLzIuMi4yMiAoRmVkb3JhKSBTZXJ2ZXIgYXQgdHNzLmxvY2FsLnJlZmxleGlvbnMubmV0IFBvcnQgODA8L2FkZHJlc3M+Cg==]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="140391456433072" type="string" size="22" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4yMiAoRmVkb3JhKQ==]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="140391456433472" type="string" size="24" encoding="base64"><![CDATA[dHNzLmxvY2FsLnJlZmxleGlvbnMubmV0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="140391456433840" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="140391456434480" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="140391456435120" type="string" size="9" encoding="base64"><![CDATA[MTI3LjAuMC4x]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="140391456435552" type="string" size="40" encoding="base64"><![CDATA[L0VjbGlwc2UvdGhlc2hhZGVzdG9yZS5jb20vcHVibGljL2h0ZG9jcw==]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="140391456435920" type="string" size="14" encoding="base64"><![CDATA[cm9vdEBsb2NhbGhvc3Q=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="140391456436368" type="string" size="49" encoding="base64"><![CDATA[L0VjbGlwc2UvdGhlc2hhZGVzdG9yZS5jb20vcHVibGljL2h0ZG9jcy90ZXN0LnBocA==]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="140391456436736" type="string" size="5" encoding="base64"><![CDATA[NDU2NTc=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="140391456437112" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="140391456437488" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="140391456437856" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="140391456438224" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="140391456438592" type="string" size="9" encoding="base64"><![CDATA[L3Rlc3QucGhw]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="140391456438960" type="string" size="9" encoding="base64"><![CDATA[L3Rlc3QucGhw]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="140391456439328" type="string" size="9" encoding="base64"><![CDATA[L3Rlc3QucGhw]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="140391456439480" type="float"><![CDATA[1352239289.153]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" address="140391456439640" type="int"><![CDATA[1352239289]]></property></property></response>

<- context_get -i 50794 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="50794" context="0"><property name="$con" fullname="$con" address="140391456445328" type="object" classname="mysqli" children="1" numchildren="19" page="0" pagesize="100"><property name="affected_rows" fullname="$con-&gt;affected_rows" facet="public" address="140391456447600" type="int"><![CDATA[19]]></property><property name="client_info" fullname="$con-&gt;client_info" facet="public" address="140391456450680" type="string" size="75" encoding="base64"><![CDATA[bXlzcWxuZCA1LjAuMTAgLSAyMDExMTAyNiAtICRJZDogYjBiM2IxNWM2OTNiN2Y2YWViM2FhNjZiNjQ2ZmVlMzM5ZjE3NWUzOSAk]]></property><property name="client_version" fullname="$con-&gt;client_version" facet="public" address="140391456448288" type="int"><![CDATA[50010]]></property><property name="connect_errno" fullname="$con-&gt;connect_errno" facet="public" address="140391456448336" type="int"><![CDATA[0]]></property><property name="connect_error" fullname="$con-&gt;connect_error" facet="public" address="140391456450312" type="null"></property><property name="errno" fullname="$con-&gt;errno" facet="public" address="140391456450464" type="int"><![CDATA[0]]></property><property name="error" fullname="$con-&gt;error" facet="public" address="140391456450512" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="error_list" fullname="$con-&gt;error_list" facet="public" address="140391456450728" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="field_count" fullname="$con-&gt;field_count" facet="public" address="140391456450968" type="int"><![CDATA[1]]></property><property name="host_info" fullname="$con-&gt;host_info" facet="public" address="140391456451120" type="string" size="20" encoding="base64"><![CDATA[MTI3LjAuMC4xIHZpYSBUQ1AvSVA=]]></property><property name="info" fullname="$con-&gt;info" facet="public" address="140391456451272" type="null"></property><property name="insert_id" fullname="$con-&gt;insert_id" facet="public" address="140391456451416" type="int"><![CDATA[0]]></property><property name="server_info" fullname="$con-&gt;server_info" facet="public" address="140391456451568" type="string" size="10" encoding="base64"><![CDATA[NS41LjI4LWxvZw==]]></property><property name="server_version" fullname="$con-&gt;server_version" facet="public" address="140391456451720" type="int"><![CDATA[50528]]></property><property name="stat" fullname="$con-&gt;stat" facet="public" address="140391456451872" type="string" size="141" encoding="base64"><![CDATA[VXB0aW1lOiAyODMyNiAgVGhyZWFkczogMiAgUXVlc3Rpb25zOiAyMDc2MCAgU2xvdyBxdWVyaWVzOiA5NDMgIE9wZW5zOiAzMDAwICBGbHVzaCB0YWJsZXM6IDEgIE9wZW4gdGFibGVzOiA0MDAgIFF1ZXJpZXMgcGVyIHNlY29uZCBhdmc6IDAuNzMy]]></property><property name="sqlstate" fullname="$con-&gt;sqlstate" facet="public" address="140391456452176" type="string" size="5" encoding="base64"><![CDATA[MDAwMDA=]]></property><property name="protocol_version" fullname="$con-&gt;protocol_version" facet="public" address="140391456452328" type="int"><![CDATA[10]]></property><property name="thread_id" fullname="$con-&gt;thread_id" facet="public" address="140391456452376" type="int"><![CDATA[786]]></property><property name="warning_count" fullname="$con-&gt;warning_count" facet="public" address="140391456452528" type="int"><![CDATA[0]]></property></property><property name="$row" fullname="$row" address="140391456443848" type="object" classname="stdClass" children="1" numchildren="1" page="0" pagesize="100"><property name="Database" fullname="$row-&gt;Database" facet="public" address="140391456447504" type="string" size="18" encoding="base64"><![CDATA[aW5mb3JtYXRpb25fc2NoZW1h]]></property></property><property name="$rs" fullname="$rs" address="140391456444264" type="object" classname="mysqli_result" children="1" numchildren="5" page="0" pagesize="100"><property name="current_field" fullname="$rs-&gt;current_field" facet="public" address="140391456456784" type="null"></property><property name="field_count" fullname="$rs-&gt;field_count" facet="public" address="140391456457216" type="null"></property><property name="lengths" fullname="$rs-&gt;lengths" facet="public" address="140391456457264" type="null"></property><property name="num_rows" fullname="$rs-&gt;num_rows" facet="public" address="140391456457944" type="null"></property><property name="type" fullname="$rs-&gt;type" facet="public" address="140391456458576" type="null"></property></property></response>

<- run -i 50795
-> <stream xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" type="stdout" encoding="base64"><![CDATA[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]]></stream>

-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="50795" status="stopping" reason="ok"></response>

<- stop -i 50796
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stop" transaction_id="50796" status="stopped" reason="ok"></response>

Log closed at 2012-11-06 22:01:31

xdebug_remote_log (36,395 bytes)

derick

2012-11-11 12:54

administrator   ~0002378

Hi!

I've just investigated this, and found out that this is something I can't fix in Xdebug. mysqli_free_result() destroys the internal object, but leaves the resource (in your case, $rs) in a silly state. All Xdebug does internally is basically a var_dump( $rs ), and after it is freed with mysqli_free_result(), that throws exactly the same error (without Xdebug). This can however, easily be fixed in the MySQLi extension with the following patch:
http://derickrethans.nl/files/dump/mysqli-clear-result-cleanup-20121111.diff.txt

I've filed a bug for mysqli pointing at this bug report. It is at https://bugs.php.net/bug.php?id=63486

Issue History

Date Modified Username Field Change
2012-11-06 22:09 GregMartyn New Issue
2012-11-06 22:09 GregMartyn File Added: test.php
2012-11-06 22:10 GregMartyn File Added: xdebug_remote_log
2012-11-11 12:54 derick Note Added: 0002378
2012-11-11 12:54 derick Status new => resolved
2012-11-11 12:54 derick Resolution open => not fixable
2012-11-11 12:54 derick Assigned To => derick
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)